import ApiClient from '../axios';
import ApiUrl from '../api/apiUrl';
export default {
  requestConfirmOTP: ({otp, email}) =>
    ApiClient.post('check-otp', {otp, email}),

  requestSendMail: email =>
    ApiClient.post('users/forgotPassword?username=ntdung899@gmail.com'),

  requestChangePassword: payload => ApiClient.post('reset-password', payload),

  requestLoginApp: ({name, pass}) =>
    ApiClient.post(
      ApiUrl.LOG_IN + '?username=' + name + '&password=' + pass,
      {},
    ),

  requestLogoutApp: ({token}) => ApiClient.post(ApiUrl.LOG_OUT, {token}),
};
